Subject: Re: bug#56025: [WIP PATCH] 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Jul 2022 09:03:17 +0300

> Cc: [email-masked], [email-masked]
> From: Jim Porter <[email-masked]>
> Date: Sat, 16 Jul 2022 19:35:12 -0700
> 
> Ok, attached is a WIP patch to do this. It seems to work for me under 
> Cygwin, although I've only lightly tested it in that environment. If 
> this works for you too, I'll finish cleaning this up and add 
> tests/documentation for it.
> 
> Note that in my patch, I temporarily undid my previous patch to send EOF 
> multiple times. This is just for testing purposes, but since we're using 
> a pipe for this connection now, a single call to `process-send-eof' 
> should be sufficient. (There are some obscure cases where we might want 
> to keep the current behavior, like redirecting to a process created some 
> other way, so I think it makes sense to keep that code. Probably...)

Could you please describe the main ideas of the changeset?  It is hard
to be sure I understand what you are trying to do by reading the
patch.

Thanks.